* {
  font-family: Monospace;
}

hr {
  background-color: hsl(0, 1%, 54%);
  max-width: 80%;
}

h1 {
  text-align: center;
}

body {
  background-color: rgb(19, 5, 63);
  color: white;
  font-size: 18px;
}
.social-media {
  text-align: center;
}

.fa-brands {
  margin: 30px;
  padding: 40px;
  text-align: center;
  border: 2px solid white;
  border-radius: 20px;
}

/* Nav Links */ 
.navlinks {
  list-style: none;
  text-align: center;
  padding: 0;
}

.navigation a {
  margin: 5px;
  display: inline-block;
}

a:link {
  text-decoration: none;
  color: hsl(0, 0%, 100%);
}

a:visited {
  color: hsl(260, 50%, 70%);
}

a:hover {
  translate: transform(0.03s ease-in);
  background-color: hsl(0, 1%, 54%);
  border-radius: 20px;
}

.centered {
  text-align: center;
}

/* Contact Page Styling */
label {
  margin: 0.5rem auto;
  display: block;
}

fieldset {
  border: none;
  border-bottom: 3px solid rgb(59, 59, 79);
  display: flex;
  flex-direction: column;
  justify-content: center;
}

fieldset:last-of-type {
  border-bottom: none;
}

legend {
  margin: 0 auto;  
  padding: 0;
  text-align: center;
  width: 100%;
}

input, textarea {
  width: 100%;
  box-sizing: border-box;
  border: 2px solid white;
  background-color: hsl(260, 50%, 70%);
}

 input::placeholder, textarea::placeholder {
  color: white;
}

form {
  width: 60vw;
  max-width: 500px;
  min-width: 300px;
  margin: 0 auto;
}

.radiofield {
  margin: 15px;
}

.radiofield input[type="radio"] {
  order: -1;
  margin-right: 8px;
  width: auto;
}

.btn {
  width: 125px;
  height: 30px;
  padding: 0;
  display: block;
  margin: 0 auto;
  background-color: rgb(59, 59, 79);
  color: white;
  border-radius: 20px;
}

.btn:hover {
  translate: transform(0.03s ease-in);
  background-color: hsl(0, 1%, 54%)
}

/*About*/

.image {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}
.ryanimg {
  max-width: 250px;
}

.info {
  text-align: center;
}

.paragraphs {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin: 0 auto;
  max-width: 1000px;
  text-indent: 30px;
}

/*Home Page Styling*/

.cards * {
  text-align: center;
}

.cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;

}

.aboutme, .projects, .business, .contact {
  border: 5px solid white;
  height: 200px;
  width: 200px;
  padding: 10px;
  margin: 10px;
  font-weight: 1000;
  font-size: 20px;
}

.fa-solid {
  margin: 50px;
  
}

/* Projects Styling */

iframe {
  background-color: white;
  max-width: 80%;
}

.outsideProjects {
  border: 5px solid black;
  border-radius: 20px;
  height: 300px;
  width: 400px;
  padding: 10px;
  margin: 40px auto;
  font-weight: 1000;
  font-size: 20px;
  color: white;
  background-color: hsl(260, 50%, 70%);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.cardText > p {
  font-size: 16px;
}

.coming-soon {
  font-style: italic;
}

/* Business Ventures */

.description p {
  text-indent: 30px;
}

.description ul {
  margin: -25px;
  list-style-position: inside;
}

.description {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin: 0 auto;
  max-width: 1000px;
  text-indent: 30px;
}